diff -Naur musepack_src_r475.orig/CMakeLists.txt musepack_src_r475/CMakeLists.txt
--- musepack_src_r475.orig/CMakeLists.txt	2010-07-13 13:15:24.000000000 +0200
+++ musepack_src_r475/CMakeLists.txt	2013-11-19 16:19:27.930544532 +0100
@@ -15,10 +15,6 @@
 
 add_definitions(-DFAST_MATH -DCVD_FASTLOG)
 
-if(NOT MSVC)
-  set(CMAKE_C_FLAGS "-O3 -Wall -fomit-frame-pointer -pipe")
-endif(NOT MSVC)
-
 add_subdirectory(libmpcdec)
 add_subdirectory(libmpcpsy)
 add_subdirectory(libmpcenc)
diff -Naur musepack_src_r475.orig/libmpcdec/CMakeLists.txt musepack_src_r475/libmpcdec/CMakeLists.txt
--- musepack_src_r475.orig/libmpcdec/CMakeLists.txt	2010-08-21 17:55:01.000000000 +0200
+++ musepack_src_r475/libmpcdec/CMakeLists.txt	2013-11-19 16:27:50.460506764 +0100
@@ -1,7 +1,22 @@
 include_directories(${libmpc_SOURCE_DIR}/include)
 if(SHARED)
-  add_library(mpcdec SHARED huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
-else(SHARED)
-  add_library(mpcdec_static STATIC huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
+  add_library(mpcdec_shared SHARED huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
+  set_target_properties(mpcdec_shared PROPERTIES OUTPUT_NAME mpcdec CLEAN_DIRECT_OUTPUT 1 VERSION 7.0.1 SOVERSION 7)
+  if(NOT MSVC)
+    target_link_libraries(mpcdec_shared m)
+  endif(NOT MSVC)
 endif(SHARED)
+ 
+add_library(mpcdec_static STATIC huffman mpc_decoder mpc_reader streaminfo mpc_bits_reader mpc_demux requant synth_filter ${libmpc_SOURCE_DIR}/common/crc32)
 
+set_target_properties(mpcdec_static PROPERTIES OUTPUT_NAME mpcdec CLEAN_DIRECT_OUTPUT 1)
+
+if(NOT MSVC)
+  target_link_libraries(mpcdec_static m)
+endif(NOT MSVC)
+
+install(TARGETS mpcdec_static LIBRARY DESTINATION "lib${LIB_SUFFIX}" ARCHIVE DESTINATION "lib${LIB_SUFFIX}")
+
+if(SHARED)
+  install(TARGETS mpcdec_shared LIBRARY DESTINATION "lib${LIB_SUFFIX}" ARCHIVE DESTINATION "lib${LIB_SUFFIX}")
+endif(SHARED)
